Bug 166055 - [patch] x11/fireflies does not build with x11-toolkits/fltk installed
Summary: [patch] x11/fireflies does not build with x11-toolkits/fltk installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-13 19:00 UTC by Edward.Sanford.Sutton, III
Modified: 2012-05-13 02:00 UTC (History)
0 users

See Also:


Attachments
file.diff (300 bytes, patch)
2012-03-13 19:00 UTC, Edward.Sanford.Sutton, III
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Edward.Sanford.Sutton, III 2012-03-13 19:00:05 UTC
  I had trouble building x11/fireflies with the following output:
c++ -c -O2 -pipe -fno-omit-frame-pointer -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H -I/usr/local/include gui.cxx
gui.cxx:16:32: error: FL/fl_file_chooser.H: No such file or directory
gui.cxx: In member function 'bool MxGUI::snapshot_to_file(int)':
gui.cxx:392: error: 'fl_file_chooser' was not declared in this scope
gui.cxx: In member function 'virtual bool MxGUI::save_view_to_file()':
gui.cxx:412: error: 'fl_file_chooser' was not declared in this scope
gui.cxx: In member function 'virtual bool MxGUI::load_view_from_file()':
gui.cxx:438: error: 'fl_file_chooser' was not declared in this scope
gmake[1]: *** [gui.o] Error 1
gmake[1]: Leaving directory `/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/src'
gmake: *** [libgfx/src/libgfx.a] Error 2
*** Error code 1

Stop in /usr/ports/x11/fireflies.


  This patch will get it to build but does not change any dependency tracking after the build is done; I do not know if final package is impacted by x11-toolkits/fltk in a way that even needs different dependencies. The makefile should likery either add it as an (optional) dependency or the port should be modified to not build against fltk if it does impact final build to have a runtime dependency.

  On another note, does the post extract section need more than 'xf' for flags? p is default, z is unneeded with our tar for extract, and v sounds like log bloat for all building this from the ports tree.

Fix: Patch attached with submission follows:
How-To-Repeat: Likely repeatable by installing x11-toolkits/fltk (1.3.0) before running a clean build of fireflies.
Comment 1 Edwin Groothuis freebsd_committer 2012-03-13 19:00:47 UTC
Maintainer of x11/fireflies,

Please note that PR ports/166055 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/166055

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-03-13 19:00:52 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell freebsd_committer 2012-04-15 14:07:43 UTC
State Changed
From-To: feedback->open

Maintainer Timeout +30 days
Comment 4 Dmitry Marakasov freebsd_committer 2012-05-12 21:41:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 5 Dmitry Marakasov freebsd_committer 2012-05-13 01:52:53 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2012-05-13 01:53:01 UTC
amdmi3      2012-05-13 00:52:49 UTC

  FreeBSD ports repository

  Modified files:
    x11/fireflies        Makefile 
  Log:
  - Fix build in presence of FLTK (ignore FLTK, as it seems to be used in bundled libgfx functionality which is not used by fireflies itself)
  - While here, make extract phase silent
  
  PR:             166055
  Submitted by:   Edward Sanford Sutton III <mirror176@cox.net>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.11      +4 -1      ports/x11/fireflies/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"